<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.prime.com.tr/ui">

<f:view contentType="text/html">
	<h:head>
		<title>Welcome to the land of Primefaces!</title>
	</h:head>
	<h:body>
		<h:form prependId="false">
			<h:panelGrid columns="1">
				<p:editor id="editor" value="#{mainView.text}" />
				<h:commandButton value="Submit" />
				<br />
				You typed: <h:outputText value="#{mainView.text}" escape="false" />
			</h:panelGrid>
		</h:form>
	</h:body>
</f:view>
</html>
